import controlP5.*; //import library to draw and control buttons
import processing.serial.*; //import serial library

  ControlP5 cp5;  //define cp5 as a ControlP5 object
  Serial myPort; //define myPort as a Serial object

  PFont ButtonFont; // define this to change button font 
  
  void setup(){
    size(600,450); // set the windows size
    cp5= new ControlP5(this); // creat new ControlP5 object 
    ButtonFont =createFont("Georgia",20); // set desired font type
    
        cp5.addButton("RED") // Creat RED button
        .setPosition(170,150) // position of the button (X,Y)
        .setSize(75,75) // size of the button
        .setFont(ButtonFont)// Font type of the  button
         .setColorCaptionLabel(color(255,0,0)); 
         // Font color of the  button
         
         cp5.addButton("GREEN")
        .setPosition(370,150)
        .setSize(75,75)
        .setFont(ButtonFont)
        .setColorCaptionLabel(color(0,255,0));
        
           cp5.addButton("BLUE")
        .setPosition(170,250)
        .setSize(75,75)
        .setFont(ButtonFont)
        .setColorCaptionLabel(color(0,0,255));
        
          cp5.addButton("BLINK")
        .setPosition(370,250)
        .setSize(75,75)
        .setFont(ButtonFont)
        .setColorCaptionLabel(color(205,0,255));
        
         cp5.addButton("OFF")
        .setPosition(270,200)
        .setSize(75,75)
        .setFont(ButtonFont);
    myPort = new Serial(this, "/dev/ttyUSB0",9600); //connect myPort with COM3 where arduino 
                                           // is actually connected ^_^
  }
  
  void draw(){
    background(255,255,255); // background color of the screen 
    fill(0); // Text color
    textSize(30); // text size
    text("RGB LED CONTROL", 170,70); // To write the title, the position of the title
  }
  
  void RED(){
    myPort.write(0); // When Button RED is pressed send 'r' to serial port
                      // in Arduino code when recive 'r' the RED color will light  
  }
    void GREEN(){
    myPort.write(1);
  }
     void BLUE(){
    myPort.write(2);
  }
       void BLINK(){
    myPort.write(3);
  }
         void OFF(){  // When Button OFF is pressed send 'o' to serial port
       myPort.write(4);// in Arduino code when recive 'o' RGB will  OFF
    
  }
